Bug 1127253 (CVE-2014-5253) - CVE-2014-5253 openstack-keystone: domain-scoped tokens don't get revoked
Summary: CVE-2014-5253 openstack-keystone: domain-scoped tokens don't get revoked
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5253
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140728,reported=2...
Depends On: 1131344 1131345
Blocks: 1127260
TreeView+ depends on / blocked
 
Reported: 2014-08-06 13:11 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:08 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that domain-scoped tokens were not revoked when a domain was disabled. Only OpenStack Identity setups configured to make use of revocation events were affected.
Clone Of:
Environment:
Last Closed: 2014-09-02 19:47:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1121 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:31 UTC
Red Hat Product Errata RHSA-2014:1122 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:25 UTC

Description Vasyl Kaigorodov 2014-08-06 13:11:28 UTC
It was reported [1] that if a domain is invalidated (which generates a revocation event),
that revocation event won't match domain-scoped tokens so those tokens won't be revoked.

This is because the code to calculate the fields for a domain-scoped token don't use the
domain-scope so that information can't be used when testing against the revocation events.

CVE request has been sent to oss-security by upstream [2]

Upstream commit that fixes this issue:
https://git.openstack.org/cgit/openstack/keystone/commit/?id=c4447f16da036fe878382ce4e1b05b84bdcc4d4e

[1]: https://bugs.launchpad.net/keystone/+bug/1349597
[2]: http://seclists.org/oss-sec/2014/q3/296

Comment 2 Vasyl Kaigorodov 2014-08-06 14:17:51 UTC
It's stated in the Launchpad ticket that this would only impact Icehouse (openstack-2014.X) since that's where revocation events were added.

Comment 3 Garth Mollett 2014-08-15 05:35:57 UTC
Statement:

This issue does not affected openstack-keystone as shipped with Red Hat Enterprise Linux OpenStack Platform 4.0.

Comment 4 Garth Mollett 2014-08-15 05:39:49 UTC
Keystone in RHEL-OSP-5 (Icehouse) includes this code, although it is marked as experimental in Icehouse upstream, we do include an example of how to enable it in our documentation and thus will need to release an erratum.

Comment 6 Martin Prpič 2014-08-25 08:44:56 UTC
IssueDescription:

It was discovered that domain-scoped tokens were not revoked when a domain was disabled. Only OpenStack Identity setups configured to make use of revocation events were affected.

Comment 8 errata-xmlrpc 2014-09-02 17:58:56 UTC
This issue has been addressed in following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1122 https://rhn.redhat.com/errata/RHSA-2014-1122.html

Comment 9 errata-xmlrpc 2014-09-02 17:59:18 UTC
This issue has been addressed in following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1121 https://rhn.redhat.com/errata/RHSA-2014-1121.html


Note You need to log in before you can comment on or make changes to this bug.